v1.0.0
OpenAPI 3.1.0

List a one-time send's A/B test groups

US region

Client Libraries

List a one-time send's A/B test groups

Returns information about each test group in a one-time send (referred to as a "newsletter" in our APIs), including content ids for each group.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

Responses
  • application/json
  • 404

    The one-time send or variant does not exist.

  • application/json
Request Example for get/v1/newsletters/{newsletter_id}/test_groups
curl https://api.customer.io/v1/newsletters/1/test_groups \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "test_groups": [
    {
      "content_ids": [
        25,
        26
      ],
      "id": 0,
      "label": "test 1",
      "name": "A",
      "winner": false
    },
    {
      "content_ids": [
        27,
        28
      ],
      "id": 2,
      "label": "test 2",
      "name": "B",
      "winner": false
    }
  ]
}